import { JobsDetails } from "../../../components/Job/JobDetails";
import { AppHarness } from "../../../mocks/AppHarness";
import jobs from "../../../mocks/fixtures/Jobs.json";

const STATUS_OPTIONS = ["SUCCESSFUL", "FAILED", "QUEUED", "RUNNING", "UNKNOWN"];
const JOB_TYPE_OPTIONS = [
  "DEPLOY",
  "UNDEPLOY",
  "BATCH_DEPLOY",
  "BATCH_UNDEPLOY",
  "START",
  "STOP"
];

export default {
  title: "Views/Job/JobDetailsView",
  argTypes: {
    jobType: {
      options: JOB_TYPE_OPTIONS,
      control: { type: "radio" }
    },
    status: {
      options: STATUS_OPTIONS,
      control: { type: "radio" }
    }
  }
};

const Template = (args) => {
  const currentJob = jobs.jobs.find((job) => job.type === args.jobType);
  return (
    <AppHarness>
      <JobsDetails
        jobDetail={Object.assign({}, currentJob, {
          type: args.jobType,
          status: args.status
        })}
        awxJob={args.operation}
      />
    </AppHarness>
  );
};

export const Default = (args) => <Template {...args} />;

Default.args = {
  jobType: JOB_TYPE_OPTIONS[0],
  status: STATUS_OPTIONS[0]
};
